function [Nb,Eb,Zb]=ASSEb_HR_OLD(yAngTLHR,angle,SpeTLHR)

angle = angle*2*pi/360;
ay = sin(yAngTLHR);

if ay >=0
    Nb = SpeTLHR*ay*cos(angle);
    Eb = -SpeTLHR*ay*sin(angle);
else
    Nb = -SpeTLHR*ay*cos(angle);
    Eb = SpeTLHR*ay*sin(angle);
end

% calcolo il coseno dell'angolo di inclinazione
cosBeta = (1 - ay^2)^0.5;
Z = SpeTLHR*cosBeta;
Zb = SpeTLHR - Z; % L'abbassamento è POSITIVO

end